org.eclipse.net4j.util.om

## Class OSGiActivator.StateHandler

- java.lang.Object
- - org.eclipse.net4j.util.om.OSGiActivator.StateHandler

- Enclosing class:
    OSGiActivator

      public abstract static class OSGiActivator.StateHandler
      extends java.lang.Object

  Saves and loads `bundle` state.
  Since:
    3.1
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateHandler(OMBundle bundle)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `start()`
    `protected abstract void` | `startWithState(java.lang.Object state)`
    `void` | `stop()`
    `protected abstract java.lang.Object` | `stopWithState()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StateHandler

          public StateHandler(OMBundle bundle)

  - ### Method Detail

    - #### start

          public final void start()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### stop

          public final void stop()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### startWithState

          protected abstract void startWithState(java.lang.Object state)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### stopWithState

          protected abstract java.lang.Object stopWithState()
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html